--- old/usr/src/cmd/fs.d/ufs/fsdb/fsdb.c	Tue May 26 15:56:27 2015
+++ new/usr/src/cmd/fs.d/ufs/fsdb/fsdb.c	Tue May 26 15:56:27 2015
@@ -1,4 +1,5 @@
 /*
+ * Copyright 2015 Gary Mills
  * Copyright (c) 1988, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -383,7 +384,8 @@
 	struct direct	*dirp;
 	struct lbuf	*bp;
 	char		*progname;
-	short		colon, mode;
+	volatile short	colon;
+	short		mode;
 	long		temp;
 
 	/* Options/Suboptions processing */
--- old/usr/src/lib/libcurses/screen/tparm.c	Tue May 26 15:56:27 2015
+++ new/usr/src/lib/libcurses/screen/tparm.c	Tue May 26 15:56:27 2015
@@ -20,6 +20,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2015 Gary Mills
  * Copyright (c) 1996-1997 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -27,9 +28,6 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /* Copyright (c) 1979 Regents of the University of California */
 
 /*LINTLIBRARY*/
@@ -260,7 +258,7 @@
 	long		op2;
 	int		sign;
 	int		onrow = 0;
-	long		p1 = fp1, p2 = fp2;  /* copy in case < 2 actual parms */
+	volatile long	p1 = fp1, p2 = fp2; /* copy in case < 2 actual parms */
 	char		*xp;
 	char		formatbuffer[100];
 	char		*format;
--- old/usr/src/lib/libdtrace/common/dt_cc.c	Tue May 26 15:56:27 2015
+++ new/usr/src/lib/libdtrace/common/dt_cc.c	Tue May 26 15:56:27 2015
@@ -23,6 +23,7 @@
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2013, Joyent Inc. All rights reserved.
  * Copyright (c) 2012 by Delphix. All rights reserved.
+ * Copyright 2015 Gary Mills
  */
 
 /*
@@ -2335,7 +2336,7 @@
 	dt_node_t *dnp;
 	dt_decl_t *ddp;
 	dt_pcb_t pcb;
-	void *rv;
+	void *volatile rv;
 	int err;
 
 	if ((fp == NULL && s == NULL) || (cflags & ~DTRACE_C_MASK) != 0) {
--- old/usr/src/lib/libxcurses/src/libc/xcurses/doupdate.c	Tue May 26 15:56:28 2015
+++ new/usr/src/lib/libxcurses/src/libc/xcurses/doupdate.c	Tue May 26 15:56:28 2015
@@ -20,12 +20,11 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2015 Gary Mills
  * Copyright (c) 1995, by Sun Microsystems, Inc.
  * All rights reserved.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * doupdate.c
  *
@@ -913,7 +912,7 @@
 
 #ifdef M_CURSES_TYPEAHEAD
 	unsigned char cc;
-	int min, time, icanon;
+	volatile int min, time, icanon;
 
 	if (__m_screen->_flags & S_ISATTY) {
 		/* Set up non-blocking input for typeahead trapping. */
--- old/usr/src/tools/cscope-fast/display.c	Tue May 26 15:56:28 2015
+++ new/usr/src/tools/cscope-fast/display.c	Tue May 26 15:56:28 2015
@@ -26,10 +26,9 @@
 /*
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Gary Mills
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  *	cscope - interactive C symbol cross-reference
  *
@@ -387,7 +386,7 @@
 {
 	char	*egreperror = NULL;	/* egrep error message */
 	FINDINIT rc = NOERROR;		/* findinit return code */
-	SIGTYPE	(*savesig)();		/* old value of signal */
+	SIGTYPE	(*volatile savesig)() = SIG_DFL; /* old value of signal */
 	FP	f;			/* searching function */
 	char	*s;
 	int	c;
--- old/usr/src/tools/cscope-fast/input.c	Tue May 26 15:56:28 2015
+++ new/usr/src/tools/cscope-fast/input.c	Tue May 26 15:56:28 2015
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2015 Gary Mills
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -63,7 +64,7 @@
 int
 mygetch(void)
 {
-	SIGTYPE	(*savesig)();		/* old value of signal */
+	SIGTYPE	(*volatile savesig)() = SIG_DFL; /* old value of signal */
 	int	c;
 
 	/* change an interrupt signal to a break key character */
